/// <reference types="react" />
export type PinDropTargetProps = {
    isBackTarget?: boolean;
    isFrontTarget?: boolean;
    itemModel: string;
    pinIndex?: number | null;
    enableDropTargetBackground?: boolean;
};
export type PinDropTargetRenderArgs = PinDropTargetProps & {
    hovered: boolean;
    highlighted: boolean;
};
export declare const StyledPinDropTarget: import("@emotion/styled").StyledComponent<any, {}, {
    ref?: import("react").Ref<import("react").Component<any, any, any>> | undefined;
}>;
export declare const PinDropTargetIndicator: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
} & PinDropTargetProps & {
    hovered: boolean;
    highlighted: boolean;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
